Package io.dapr.v1

# Interface DaprProtos.SubtleEncryptResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleEncryptResponse`, `DaprProtos.SubtleEncryptResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleEncryptResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getCiphertext()`
Encrypted ciphertext.
`com.google.protobuf.ByteString`
`getTag()`
Authentication tag.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getCiphertext

com.google.protobuf.ByteString getCiphertext()

     Encrypted ciphertext.

`bytes ciphertext = 1;`

Returns:
  The ciphertext.

### getTag

com.google.protobuf.ByteString getTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 2;`

Returns:
  The tag.